Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1079953

Description of problem:

Deleting user notifications results in Monitor -> Content Dashboadr ->  Latest Notifications -> More results in strange sequence of

pop-up windows

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140321.2

How reproducible:

always

Steps to Reproduce:

1. In webUI go to Monitor -> Content Dashboadr ->  Latest Notifications ->

-> <some_action> -> More

2. Click "Delete All"

Actual results:

Stream of strange confirmation dialogs and then all rows disappears even when you press "no" in one of them and also they

disappear only till you refresh a page.

Expected results:

One confirmation dialog and way to actually delete these. It all should be consistent and when required, rows should be really

deleted.

Additional info:

E.g. check workflow in attached screenshot:

1) click "Delete All"

2) Are you sure? - answer OK

3) Are you sure? - answer No

4) Check all rows are gone

5) Refresh the page

6) Some rows are back! (no screenshot for this now)

Also note text is barely visible in confirmation dialog 2.

Also note buttons are ordered differentially - "OK" is on the right in step 2) and "Yes" on the left in step 3).

"OK" and "Yes" is not consistent as well.

Associated revisions

Revision 1393c12a - 07/22/2014 11:51 AM - Brad Buckingham

fixes #6719 / BZ 1079953 - Content Notices - fix deletion and list by org

05/20/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1079953


This commit addresses 2 issues w/ the content notices page:

1. list only the notices associated with the current org

2. update so that clicking 'Delete All' will render the confirmation dialog

Revision 2b32b5ed - 07/23/2014 07:34 AM - Brad Buckingham

Merge pull request #4469 from bbuckingham/issue-6719

fixes #6719 / BZ 1079953 - Content Notices - fix deletion and list by org

History

#1 - 07/22/2014 09:16 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/22/2014 10:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4469 added

- Pull request deleted ()

#3 - 07/23/2014 08:01 AM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|1393c12ab4de7ff8a9a51f9012d9349726f5f998.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
